| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
NetworkBuffer Struct Referencefinal

A slice of data to be sent to one or more transports. More...

`#include <NetworkBuffer.hpp>`

## Public Member Functions

| NetworkBuffer ()=default
| NetworkBuffer (const void *ptr, uint32_t s)
| operator asio::const_buffer () const
| Conversion operator to asio::const_buffer.

## Public Attributes

const void * | buffer = nullptr
| Pointer to the buffer where the data is stored.
uint32_t | size = 0
| Number of bytes to use starting at `buffer`.

## Detailed Description

A slice of data to be sent to one or more transports.

An RTPS datagram is made up of headers and one or more NetworkBuffer instances.

## Constructor & Destructor Documentation

## ◆ NetworkBuffer() [1/2]

NetworkBuffer | ( |  | ) |

default

## ◆ NetworkBuffer() [2/2]

NetworkBuffer | ( | const void * | ptr,
|  | uint32_t | s )

inline

## Member Function Documentation

## ◆ operator asio::const_buffer()

operator asio::const_buffer | ( |  | ) | const

Conversion operator to asio::const_buffer.

## Member Data Documentation

## ◆ buffer

const void* buffer = nullptr

Pointer to the buffer where the data is stored.

## ◆ size

uint32_t size = 0

Number of bytes to use starting at `buffer`.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/transport/NetworkBuffer.hpp